Katello - Bug #7239

pulp-manage-db threw a traceback: ConnectError: [Errno 336265218] _ssl.c:341: error:140B0002:SSL
routines:SSL_CTX_use_PrivateKey _file:system lib

08/22/2014 10:59 AM - Ivan Necas

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Installer
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1132471 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/112
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1132471

Description of problem:

pulp-manage-db threw a traceback: ConnectError: [Errno 336265218] _ssl.c:341: error:140B0002:SSL
routines:SSL_CTX_use_PrivateKey _file:system lib

inecas investigated this and his theory is this is caused by puppet choosing what happens first: qpid setting or pulp data migration

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140820.2

How reproducible:
1 occurrence out of 2 attempts

Steps to Reproduce:
1. Attempt to install Satellite 6 on RHEL5 with:  # katello-installer --foreman-admin-email 'root@Ilocalhost’ \
--foreman-admin-username 'admin’' --foreman-admin-password ‘changeme’

Actual results:

[.-]

[31m /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: Failed to call refresh:
/usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]

[Om[31m /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: /usr/sbin/foreman-rake db:seed
returned 1 instead of one of [0]

[OmNotice: /Stage[main]/Foreman::Database/Foreman::Ra: 478/479, 99%, 0.0/s, elapsed: 00:10:55

Debug: Executing '/sbin/chkconfig foreman-tasks' : 478/479, 99%, 0.0/s, elapsed: 00:11:53

Notice: /Stage[main])/Foreman::Service/Exec[restart: 478/479, 99%, 0.0/s, elapsed: 00:11:55

Debug: /Stage[main]/Certs::Foreman/Exec[foreman_ce: 478/479, 99%, 0.0/s, elapsed: 00:12:57

Notice: /Stage[main]/Certs::Foreman/Exec[foreman_c: 478/479, 99%, 0.0/s, elapsed: 00:13:56

E, [2014-08-20T21:09:16.481482 #13443] ERROR -- : : 478/479, 99%, 0.0/s, elapsed: 00:14:58

[31m /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[<fqdn>]: Could not evaluate: 500 Internal Server Error
[0Om[32mDone [0Om: 479/479, 100%, 0.0/s, elapsed: 00:15:03

[32mDone [0m: 479/479, 100%, 0.0/s, elapsed: 00:15:03

[1m[31mSomething went wrong![0m Check the log for ERROR-level output

The full log is at [1m[36m/var/log/katello-installer/katello-installer.log[Om

inecas noticed this in /var/log/messages:

[...]

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:INFO: Applying pulp.server.db.migrations version 9

Aug 20 21:02:43 <host> pulp: pulp.server.dbo.manage:CRITICAL: Applying migration pulp.server.db.migrations.0009_gpid_queues
failed.

Aug 20 21:02:43 <host> qpidd®”®: 2014-08-20 21:02:43 [System] error Error reading socket: Success(0)

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: [Errno 336265218] _ssl.c:341: error:140B0002:SSL
routines:SSL_CTX_use_PrivateKey_file:system lib

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: Traceback (most recent call last):
Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: File "/usr/lib/python2.6/site-packages/pulp/server/db/manage.py",
line 86, in migrate_database

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: update_current_version=not options.test)

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: File
"/usr/lib/python2.6/site-packages/pulp/server/db/migrate/models.py", line 161, in apply_migration

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL:  migration.migrate()

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: File
"/ust/lib/python2.6/site-packages/pulp/server/db/migrations/0009_qgpid_queues.py", line 67, in migrate

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL:  connection.attach()

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: File "<string>", line 6, in attach

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: File
"/ust/lib/python2.6/site-packages/gpid/messaging/endpoints.py"”, line 286, in attach

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: if not self._ewait(lambda: self._transport_connected and not
self._unlinked(), timeout=timeout):

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: File
"/ust/lib/python2.6/site-packages/gpid/messaging/endpoints.py”, line 219, in _ewait

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL:  self.check_error()

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: File
"/ust/lib/python2.6/site-packages/gpid/messaging/endpoints.py"”, line 212, in check_error

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: raise e

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL: ConnectError: [Errno 336265218] _ssl.c:341: error:140B0002:SSL
routines:SSL_CTX_use_PrivateKey_file:system lib

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:CRITICAL:

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:INFO: Applying pulp_puppet.plugins.migrations version 1

Aug 20 21:02:43 <host> pulp: pulp:INFO: Migrated puppet modules to include checksum

Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:INFO: Migration to pulp_puppet.plugins.migrations version 1 complete.
Aug 20 21:02:43 <host> pulp: pulp.server.db.manage:INFO: Applying pulp_puppet.plugins.migrations version 2

[-]

Expected results:
No traceback, installation should work.

Associated revisions

Revision b44eb57f - 08/22/2014 11:06 AM - Ivan Necas
Fixes #7239 - make sure the gpid client cert is deployed before the pulp migrations
Otherwise the connection to the gpid fails while running some migration file.

This doesn't happen every-time, but I've already seen puppet ordering the steps
in this way.

Also, I've realized we don't need to include the certs::pulp_parent from the
capsule.pp anymore. This was needed when we had separate modules for
capsule-certe-generate (node-certs-generate back then) and we were in the
transition phase from old installer to kafo-based one. The pulp_parent

now gets handled by the katello-intaller itself, we don't need to include that
again for capsule-certs-generate.

Revision d3dd35ca - 08/27/2014 11:02 AM - lvan Necas
Merge pull request #32 from iNecas/issue/7239

Fixes #7239 - make sure the gpid client cert is deployed before the pulp migrations

History

#1 - 08/22/2014 11:06 AM - lvan Necas
- Status changed from New to Assigned
- Target version set to 55

- Difficulty set to easy

#2 - 08/25/2014 08:33 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/26/2014 07:26 AM - Ivan Necas
- Status changed from Assigned to Ready For Testing
#4 - 09/02/2014 02:43 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- Pull request https://github.com/Katello/katello-installer/pull/112 added
- Pull request deleted ()

#5 - 09/15/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
